## golang-github-linuxdeepin-go-lib 5.8.25

=== Makefile ===
GOPATH_DIR = gopath
GOPKG_PREFIX = github.com/linuxdeepin/go-lib

prepare:
	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
	@ln -sf ../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};

print_gopath: prepare
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

clean:
	rm -rf ${GOPATH_DIR}

check_code_quality: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go vet ./...

test: prepare
	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go test -v ./...

test-coverage: prepare
	env GOPATH="${CURDIR}/${GOBUILD_DIR}:${GOPATH}" go test -cover -v ./... | awk '$$1 ~ "^(ok|\\?)" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv

## golang-github-linuxdeepin-go-lib 5.8.9.2

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (5.8.9.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:05:48 +0800

golang-github-linuxdeepin-go-lib (0.5.0-1) unstable; urgency=medium

  * change package name to golang-github-linuxdeepin-go-lib

 -- weizhixiang <weizhixiang@uniontech.com>  Tue, 30 Nov 2021 19:39:58 +0800

go-dlib (0.4.11-1) unstable; urgency=low

  * Autobuild Tag 0.4.11 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 22 Jul 2016 07:45:33 +0000

go-dlib (0.4.10-1) unstable; urgency=low

  * Autobuild Tag 0.4.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 09:38:12 +0000

go-dlib (0.4.8-3) stable; urgency=low

  * Rebuild Version 0.4.8 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:09:31 +0000

go-dlib (0.4.8-2) stable; urgency=low

  * Rebuild Version 0.4.8 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:12:00 +0000

go-dlib (0.4.8-1) stable; urgency=low

  * Autobuild Tag 0.4.8 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 16:04:08 +0000

go-dlib (0.4.7-1) stable; urgency=low

  * Autobuild Tag 0.4.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 22 Feb 2016 09:10:35 +0000

go-dlib (0.4.6-5) stable; urgency=low

  * Rebuild Version 0.4.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 26 Jan 2016 15:48:11 +0000

go-dlib (0.4.6-4) stable; urgency=low

  * Rebuild Version 0.4.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 17:09:01 +0000

go-dlib (0.4.6-3) stable; urgency=low

  * Rebuild Version 0.4.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 16:52:37 +0000

go-dlib (0.4.6-2) stable; urgency=low

  * Rebuild Version 0.4.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 16:50:01 +0000

go-dlib (0.4.6-1) stable; urgency=low

  * Autobuild Tag 0.4.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 21:08:51 +0000

go-dlib (0.4.5-1) stable; urgency=low

  * Autobuild Tag 0.4.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 20:21:44 +0000

go-dlib (0.4.4-2) stable; urgency=low

  * Rebuild Version 0.4.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 15:37:43 +0000

go-dlib (0.4.4-1) stable; urgency=low

  * Autobuild Tag 0.4.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 13:56:01 +0000

go-dlib (0.4.3-1) stable; urgency=low

  * Autobuild Tag 0.4.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:44:16 +0000

go-dlib (0.4.2-2) stable; urgency=low

  * Rebuild Version 0.4.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 07:04:48 +0000

go-dlib (0.4.2-1) stable; urgency=low

  * Autobuild Tag 0.4.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 08:52:33 +0000

go-dlib (0.4.1-2) stable; urgency=low

  * Rebuild Version 0.4.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 08:30:12 +0000

go-dlib (0.4.1-1) stable; urgency=low

  * Autobuild Tag 0.4.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 10:03:13 +0000

go-dlib (0.4.0-1) stable; urgency=low

  * Autobuild Tag 0.4.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 09:16:11 +0000

go-dlib (0.3.0-1) stable; urgency=low

  * Autobuild Tag 0.3.0-1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 01 Jul 2015 13:49:48 +0000

go-dlib (2014.2-1) stable; urgency=low

  * Autobuild Tag 2014.2-1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Tue, 30 Jun 2015 08:26:15 +0000

go-dlib (0.0.0) unstable; urgency=medium

  * Unstable release.

 -- 宋文武 <songwenwu@linuxdeepin.com>  Wed, 12 Nov 2014 13:46:21 +0800

=== debian/control ===
Source: golang-github-linuxdeepin-go-lib
Section: devel
Priority: extra
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>= 9), dh-golang, golang-go,
 golang-github-linuxdeepin-go-x11-client-dev,
 golang-gopkg-check.v1-dev, golang-github-smartystreets-goconvey-dev, golang-golang-x-image-dev,
 golang-gir-gobject-2.0-dev (>> 1.2.0+), golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+), golang-github-cryptix-wav-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-dbus-dev,
 libgdk-pixbuf2.0-dev,
 libpulse-dev, libgtk-3-dev, libcanberra-dev, golang-gopkg-alecthomas-kingpin.v2-dev, mobile-broadband-provider-info,
 iso-codes, dbus-x11, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev, golang-github-stretchr-testify-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: golang-github-linuxdeepin-go-lib-dev
Architecture: all
Depends: ${misc:Depends},
 golang-github-linuxdeepin-go-x11-client-dev,
 golang-github-cryptix-wav-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-mozillazg-go-pinyin-dev,
 golang-golang-x-image-dev, golang-gir-gobject-2.0-dev (>> 1.2.0+), golang-gir-gio-2.0-dev (>> 1.2.0+),
 golang-gir-glib-2.0-dev (>> 1.2.0+),
 golang-dbus-dev,
 libpulse-dev, libgtk-3-dev, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev
Replaces:
 golang-dlib-dev
Conflicts:
 golang-dlib-dev
Built-Using: ${misc:Built-Using}
Description: Go bindings for Deepin Desktop Environment development
 DLib is a set of Go bindings/libraries for DDE development.
 Containing dbus (forking from guelfey), glib, gdkpixbuf, pulse and more.

## golang-github-linuxdeepin-go-lib 5.8.24

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (5.8.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 16 Aug 2022 09:05:21 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  golang-github-linuxdeepin-go-x11-client-dev,
  golang-gopkg-check.v1-dev, golang-github-smartystreets-goconvey-dev, golang-golang-x-image-dev,
  golang-gir-gobject-2.0-dev (>> 1.2.0+), golang-gir-gio-2.0-dev (>> 1.2.0+),
- golang-gir-glib-2.0-dev (>> 1.2.0+), golang-github-cryptix-wav-dev,
+ golang-gir-glib-2.0-dev (>> 1.2.0+), golang-github-youpy-go-wav-dev,
  golang-github-fsnotify-fsnotify-dev,
  golang-github-mozillazg-go-pinyin-dev,
  golang-dbus-dev,
@@ -20,7 +20,7 @@
 Architecture: all
 Depends: ${misc:Depends},
  golang-github-linuxdeepin-go-x11-client-dev,
- golang-github-cryptix-wav-dev,
+ golang-github-youpy-go-wav-dev,
  golang-github-fsnotify-fsnotify-dev,
  golang-github-mozillazg-go-pinyin-dev,
  golang-golang-x-image-dev, golang-gir-gobject-2.0-dev (>> 1.2.0+), golang-gir-gio-2.0-dev (>> 1.2.0+),

## golang-github-linuxdeepin-go-lib 5.8.25

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (5.8.25-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:26:28 +0800

## golang-github-linuxdeepin-go-lib 5.8.26

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (5.8.26-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:05:56 +0800

golang-github-linuxdeepin-go-lib (0.5.1) unstable; urgency=medium

  * update changlog

 -- lichangze <lichangze@uniontech.com>  Sat, 27 Aug 2022 19:39:58 +0800

## golang-github-linuxdeepin-go-lib 5.8.27

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (5.8.27-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 13:50:32 +0800

## golang-github-linuxdeepin-go-lib 5.8.28

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (5.8.28-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 11:06:50 +0800

## golang-github-linuxdeepin-go-lib 6.0.7

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (6.0.7) unstable; urgency=medium

  * fix: proxy env error

 -- chenhongtao <chenhongtao@deepin.org>  Fri, 05 Jan 2024 13:37:55 +0800

golang-github-linuxdeepin-go-lib (6.0.6) unstable; urgency=medium

  * fix: 系统关机音效异常
  * feat: add interface to adapt new am

 -- dengbo <dengbo@uniontech.com>  Mon, 06 Nov 2023 15:50:50 +0800

golang-github-linuxdeepin-go-lib (6.0.5) unstable; urgency=medium

  * chore: add go mod support

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 10:26:55 +0800

golang-github-linuxdeepin-go-lib (6.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * chore: 修复obs打包失败的问题

 -- dengbo <dengbo@uniontech.com>  Fri, 31 Mar 2023 15:11:40 +0800

golang-github-linuxdeepin-go-lib (6.0.3) unstable; urgency=medium

  [ TagBuilder ]
  * chore: reuse lint
  * chore: remove gm

 -- dengbo <dengbo@uniontech.com>  Wed, 29 Mar 2023 11:31:05 +0800

golang-github-linuxdeepin-go-lib (6.0.2) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:32:33 +0800

golang-github-linuxdeepin-go-lib (6.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * fix: 关机音效文件更新后采用24bit导致无法播放(Bug: 144437)(Influence: 关机音效)

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 13:18:52 +0800

golang-github-linuxdeepin-go-lib (6.0.0.0) unstable; urgency=medium

  * snipe version

 -- Tan Feng <tanfeng@uniontech.com>  Fri, 10 Jun 2022 22:01:25 +0800

## golang-github-linuxdeepin-go-lib 6.0.9

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (6.0.9) unstable; urgency=medium

  * feat: 修改单声道pa设置的值 (#105)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 19 Dec 2024 11:08:13 +0800

golang-github-linuxdeepin-go-lib (6.0.8) unstable; urgency=medium

  * feat: pipewire下支持单声道设置

 -- fuleyi <fuleyi@uniontech.com>  Thu, 05 Dec 2024 14:01:55 +0800

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  golang-dbus-dev,
  libgdk-pixbuf2.0-dev,
  libpulse-dev, libgtk-3-dev, libcanberra-dev, golang-gopkg-alecthomas-kingpin.v2-dev, mobile-broadband-provider-info,
- iso-codes, dbus-x11, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev, golang-github-stretchr-testify-dev
+ iso-codes, dbus-x11, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev, golang-github-stretchr-testify-dev,
+ golang-golang-x-crypto-dev, libssl-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -26,7 +27,8 @@
  golang-golang-x-image-dev, golang-gir-gobject-2.0-dev (>> 1.2.0+), golang-gir-gio-2.0-dev (>> 1.2.0+),
  golang-gir-glib-2.0-dev (>> 1.2.0+),
  golang-dbus-dev,
- libpulse-dev, libgtk-3-dev, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev
+ libpulse-dev, libgtk-3-dev, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev,
+ golang-golang-x-crypto-dev, libssl-dev
 Replaces:
  golang-dlib-dev
 Conflicts:

=== debian/rules ===
#!/usr/bin/make -f


export GOCACHE := /tmp/gocache

export DH_GOPKG := github.com/linuxdeepin/go-lib
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	find ${CURDIR}/debian/golang-github-linuxdeepin-go-lib-dev -regex '.*\.git\|.*testdata\|.*LICENSE\|.*\.gitignore' | xargs rm -rf

override_dh_fixperms:
	dh_fixperms
	find debian -name 'build_test_locale_data' -exec chmod 755 {} \;

## golang-github-linuxdeepin-go-lib 6.0.11

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (6.0.11) unstable; urgency=medium

  * feat: add GetModuleList method (#111)

 -- fuleyi <fuleyi@uniontech.com>  Tue, 15 Jul 2025 20:49:33 +0800

golang-github-linuxdeepin-go-lib (6.0.10) unstable; urgency=medium

  * feat: procfs增加TrustedExe方法 (#109)
  * fix(debian):  libgdk-pixbuf2.0-dev -> libgdk-pixbuf-2.0-dev on
    debian sid
  * fix(debian): homepage metadata

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 10 Jul 2025 21:19:05 +0800

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,13 @@
  golang-github-fsnotify-fsnotify-dev,
  golang-github-mozillazg-go-pinyin-dev,
  golang-dbus-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf2.0-dev | libgdk-pixbuf-2.0-dev,
+ libgdk-pixbuf-xlib-2.0-dev,
  libpulse-dev, libgtk-3-dev, libcanberra-dev, golang-gopkg-alecthomas-kingpin.v2-dev, mobile-broadband-provider-info,
  iso-codes, dbus-x11, libasound2-dev, libpam0g-dev, golang-golang-x-net-dev, golang-github-stretchr-testify-dev,
  golang-golang-x-crypto-dev, libssl-dev
 Standards-Version: 3.9.8
-Homepage: http://www.deepin.org
+Homepage: https://github.com/linuxdeepin/go-lib
 
 Package: golang-github-linuxdeepin-go-lib-dev
 Architecture: all

## golang-github-linuxdeepin-go-lib 6.0.12

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (6.0.12) unstable; urgency=medium

  * chore: bump go-gir revision in go.mod

 -- fuleyi <fuleyi@uniontech.com>  Thu, 14 Aug 2025 20:55:31 +0800

## golang-github-linuxdeepin-go-lib 6.0.13

=== debian/changelog ===
golang-github-linuxdeepin-go-lib (6.0.13) unstable; urgency=medium

  * feat: add module unloading functionality (#115)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 06 Nov 2025 14:47:39 +0800
